Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 2396)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 2397)
@@ -30,42 +30,43 @@
 import org.txm.utils.logger.Log;
 
 /**
- * Internal view. 
+ * Internal view.
  * 
  * @author mdecorde
  * @author sjacquot
  *
  */
-public class InternalView extends TXMResult  {
-
+public class InternalView extends TXMResult {
+	
 	protected List<Match> matches = new ArrayList<Match>();
+	
 	protected int nmatches = 0;
-
+	
 	/**
 	 * Current page.
 	 */
-	@Parameter(key=InternalViewPreferences.CURRENT_PAGE)
+	@Parameter(key = InternalViewPreferences.CURRENT_PAGE)
 	protected int pCurrentPage;
-
+	
 	/**
 	 * Structural unit to explore.
 	 */
-	@Parameter(key=TXMPreferences.STRUCTURAL_UNIT)
+	@Parameter(key = TXMPreferences.STRUCTURAL_UNIT)
 	protected StructuralUnit pStructuralUnit;
-
+	
 	/**
 	 * Word properties to display.
 	 */
-	@Parameter(key=TXMPreferences.UNIT_PROPERTIES)
+	@Parameter(key = TXMPreferences.UNIT_PROPERTIES)
 	protected List<WordProperty> pWordProperties;
-
+	
 	/**
 	 * Structural units to display.
 	 */
-	@Parameter(key=TXMPreferences.STRUCTURAL_UNIT_PROPERTIES)
+	@Parameter(key = TXMPreferences.STRUCTURAL_UNIT_PROPERTIES)
 	protected List<StructuralUnitProperty> pStructuralUnitsProperties;
-
-
+	
+	
 	/**
 	 * 
 	 * @param parent
@@ -73,7 +74,7 @@
 	public InternalView(CQPCorpus parent) {
 		super(parent);
 	}
-
+	
 	/**
 	 * 
 	 * @param parametersNodePath
@@ -81,72 +82,75 @@
 	public InternalView(String parametersNodePath) {
 		super(parametersNodePath);
 	}
-
-
-
+	
+	
+	
 	@Override
 	public boolean loadParameters() throws Exception {
 		try {
 			String str = this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT);
 			this.pStructuralUnit = this.getCorpus().getStructuralUnit(str);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.printStackTrace(e);
 		}
 		try {
 			String str = this.getStringParameterValue(TXMPreferences.UNIT_PROPERTIES);
 			this.pWordProperties = (List<WordProperty>) WordProperty.stringToProperties(this.getCorpus(), str);
-		} catch (Exception e2) {
+		}
+		catch (Exception e2) {
 			Log.printStackTrace(e2);
 		}
 		try {
 			String str = this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT_PROPERTIES);
 			this.pStructuralUnitsProperties = StructuralUnitProperty.stringToProperties(this.getCorpus(), str);
-		} catch (Exception e3) {
+		}
+		catch (Exception e3) {
 			Log.printStackTrace(e3);
 		}
 		return true;
 	}
-
-
+	
+	
 	@Override
 	protected boolean _compute() throws Exception {
-
-		if(this.hasParameterChanged(InternalViewPreferences.STRUCTURAL_UNIT))	{
+		
+		if (this.hasParameterChanged(InternalViewPreferences.STRUCTURAL_UNIT)) {
 			
 			// reset the current page (only if the result has been computed at least once otherwise it breaks the deserialization)
-			if(this.hasBeenComputedOnce)	{
+			if (this.hasBeenComputedOnce) {
 				this.pCurrentPage = 0;
 			}
 			
-			//find struct start-end
+			// find struct start-end
 			CQLQuery query = new CQLQuery("<" + pStructuralUnit.getName() + "> [] expand to " + pStructuralUnit); //$NON-NLS-1$ //$NON-NLS-2$
-			//System.out.println(query);
+			// System.out.println(query);
 			QueryResult result = getCorpus().query(query, "test", false); //$NON-NLS-1$
 			nmatches = result.getNMatch();
 			if (nmatches > 0) {
 				matches = result.getMatches();
 			}
 			result.drop();
-			//System.out.println(matches);
+			// System.out.println(matches);
 			dirty = false;
 			return (nmatches > 0);
 		}
 		return true;
 	}
-
-
-
-
+	
+	
+	
+	
 	@Override
 	public boolean canCompute() {
-		return getCorpus() != null && 
-				pStructuralUnit != null && 
-				pWordProperties != null && 
-				pWordProperties.size() > 0 && 
-				pStructuralUnitsProperties != null && 
+		return getCorpus() != null &&
+				pStructuralUnit != null &&
+				pWordProperties != null &&
+				pWordProperties.size() > 0 &&
+				pStructuralUnitsProperties != null &&
 				pStructuralUnitsProperties.size() > 0;
 	}
-
+	
 	/**
 	 * get the ith page and set the current page number to i
 	 * 
@@ -156,13 +160,13 @@
 	 */
 	protected LinkedHashMap<Property, List<String>> getPageContent(int i) throws CqiClientException {
 		LinkedHashMap<Property, List<String>> rez = new LinkedHashMap<Property, List<String>>();
-
+		
 		if (i >= 0 && i < nmatches) {
 			Match m = matches.get(i);
 			Collection<? extends Integer> positions = m.getRange();
 			int[] p = new int[positions.size()];
 			int c = 0;
-			for(int v : positions) {
+			for (int v : positions) {
 				p[c++] = v;
 			}
 			for (Property prop : pWordProperties) {
@@ -172,8 +176,8 @@
 		}
 		return rez;
 	}
-
-
+	
+	
 	/**
 	 * 
 	 * @return the current page content map
@@ -183,18 +187,19 @@
 		HashMap<Property, List<String>> current = this.getPageContent(pCurrentPage);
 		return current;
 	}
-
-
-
-
+	
+	
+	
+	
 	/**
 	 * Gets the current page number.
+	 * 
 	 * @return the current page number
 	 */
 	public int getCurrentPage() {
 		return pCurrentPage;
 	}
-
+	
 	@Override
 	public boolean saveParameters() {
 		if (pStructuralUnit != null) {
@@ -207,68 +212,71 @@
 		if (pWordProperties != null) {
 			this.saveParameter(InternalViewPreferences.UNIT_PROPERTIES, WordProperty.propertiesToString(pWordProperties));
 		}
-
+		
 		return true;
 	}
-
+	
 	@Override
 	public void clean() {
 		// nothing to do
 	}
-
-
+	
+	
 	/**
 	 * Gets the linked corpus.
+	 * 
 	 * @return
 	 */
 	public CQPCorpus getCorpus() {
-		return (CQPCorpus)getParent();
+		return (CQPCorpus) getParent();
 	}
-
-
+	
+	
 	@Override
 	public String getDetails() {
-		return getCorpus().getName()+" "+pStructuralUnit.getName()+" "+(pCurrentPage+1); //$NON-NLS-1$ //$NON-NLS-2$
+		return getCorpus().getName() + " " + pStructuralUnit.getName() + " " + (pCurrentPage + 1); //$NON-NLS-1$ //$NON-NLS-2$
 	}
-
+	
 	@Override
 	public String getComputingDoneMessage() {
 		return "";
-		//return TXMCoreMessages.common_done;
+		// return TXMCoreMessages.common_done;
 	}
-
+	
 	@Override
 	public String getSimpleName() {
 		return getName();
 	}
-
-
+	
+	
 	@Override
 	public String getName() {
 		if (pStructuralUnit != null) {
-			return pStructuralUnit.getName( ) + " (" + (this.pCurrentPage + 1) + " / " + this.nmatches + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			return pStructuralUnit.getName() + " (" + (this.pCurrentPage + 1) + " / " + this.nmatches + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
 		return getCorpus().getName();
 	}
-
-
+	
+	
 	/**
 	 * Gets the number of matched segments.
+	 * 
 	 * @return
 	 */
 	public int getSegmentsCount() {
 		return nmatches;
 	}
-
-
+	
+	
 	/**
 	 * Gets lexical properties to display.
+	 * 
 	 * @return
 	 */
 	public List<WordProperty> getProperties() {
 		return pWordProperties;
 	}
-
+	
 	/**
 	 * 
 	 * @return
@@ -280,86 +288,89 @@
 		if (matches.size() < pCurrentPage) {
 			return 0;
 		}
-
+		
 		Match m = matches.get(pCurrentPage);
 		return m.size();
 	}
-
+	
 	/**
 	 * 
 	 * @return
 	 */
 	public String getStructInfos() {
-
+		
 		try {
 			if (pStructuralUnitsProperties.size() > 0) {
 				String str = InternalViewCoreMessages.structureInformationsColon;
 				for (Property sup : pStructuralUnitsProperties) {
-					int[] array = {getCurrentPage()};
-					str += " "+sup.getName()+"="+CQPSearchEngine.getCqiClient().struc2Str(sup.getQualifiedName(), array)[0]; //$NON-NLS-1$ //$NON-NLS-2$
+					int[] array = { getCurrentPage() };
+					str += " " + sup.getName() + "=" + CQPSearchEngine.getCqiClient().struc2Str(sup.getQualifiedName(), array)[0]; //$NON-NLS-1$ //$NON-NLS-2$
 				}
 				return str;
 			}
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			System.out.println(NLS.bind(InternalViewCoreMessages.internalViewColonFailedToRetrieveStructPropertiesValuesColonP0, e.getMessage()));
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 		return InternalViewCoreMessages.noStructureInformations;
 	}
-
+	
 	/**
 	 * Gets the structural unit to explore.
+	 * 
 	 * @return
 	 */
 	public StructuralUnit getStructuralUnit() {
 		return pStructuralUnit;
 	}
-
-
+	
+	
 	/**
 	 * Dumps the specified segment in the console.
+	 * 
 	 * @param seg
 	 */
 	public void printSeg(HashMap<Property, List<String>> seg) {
 		Collection<List<String>> values = seg.values();
-		if(values.size() == 0) {
+		if (values.size() == 0) {
 			return;
 		}
-
-		for(List<String> list : values) {
-			for(String value : list) {
-				System.out.print("\t"+value); //$NON-NLS-1$
+		
+		for (List<String> list : values) {
+			for (String value : list) {
+				System.out.print("\t" + value); //$NON-NLS-1$
 			}
 			System.out.println();
 		}
 		System.out.println();
 	}
-
-
+	
+	
 	public void setParameters(List<WordProperty> properties, StructuralUnit struct, List<StructuralUnitProperty> structProperties, Integer currentStructure) {
 		if (properties != null) this.pWordProperties = properties;
 		if (struct != null) this.pStructuralUnit = struct;
 		if (structProperties != null) this.pStructuralUnitsProperties = structProperties;
 		if (currentStructure != null) this.pCurrentPage = currentStructure;
-
+		
 		dirty = true;
 	}
-
-
-
-
+	
+	
+	
+	
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
 		// FIXME: Debug
 		System.err.println("InternalView.setParameters(): not yet implemented.");
 		return false;
 	}
-
-
+	
+	
 	@Override
 	public boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) throws Exception {
 		PrintWriter writer = IOUtils.getWriter(outfile, encoding);
-		for (int ipage = 0 ; ipage < nmatches ; ipage++) { // run through all pages
+		for (int ipage = 0; ipage < nmatches; ipage++) { // run through all pages
 			LinkedHashMap<Property, List<String>> page = getPageContent(ipage);
 			for (Property p : pWordProperties) {
 				writer.println(StringUtils.join(page.get(p), colseparator));
@@ -369,50 +380,54 @@
 		writer.close();
 		return false;
 	}
-
-
+	
+	
 	/**
 	 * Sets the structural unit to explore.
+	 * 
 	 * @param structuralUnit
 	 */
 	public void setStructuralUnit(StructuralUnit structuralUnit) {
 		this.pStructuralUnit = structuralUnit;
 	}
-
-
+	
+	
 	/**
 	 * Sets the word properties to display.
+	 * 
 	 * @param properties
 	 */
-	public void setWordProperties(List<WordProperty> properties)	{
+	public void setWordProperties(List<WordProperty> properties) {
 		this.pWordProperties = properties;
 	}
-
+	
 	/**
 	 * Sets the structural unit properties to display.
+	 * 
 	 * @param structuralUnitProperties
 	 */
 	public void setStructuralUnitProperties(List<StructuralUnitProperty> structuralUnitProperties) {
 		this.pStructuralUnitsProperties = structuralUnitProperties;
 	}
-
-
+	
+	
 	/**
 	 * Sets the current page number.
+	 * 
 	 * @param currentPage the currentPage to set
 	 */
 	public void setCurrentPage(int currentPage) {
 		this.pCurrentPage = currentPage;
-
-		if(this.pCurrentPage < 0 || this.pCurrentPage > (this.nmatches - 1))	 {
+		
+		if (this.pCurrentPage < 0 || this.pCurrentPage > (this.nmatches - 1)) {
 			System.err.println("InternalView.setCurrentPage(): current page (" + this.pCurrentPage + ") is outside matches range (" + this.nmatches + ").");
 			this.pCurrentPage = 0;
 		}
 	}
-
+	
 	@Override
 	public String getResultType() {
 		return InternalViewCoreMessages.RESULT_TYPE;
 	}
-
-}
\ No newline at end of file
+	
+}
Index: tmp/org.txm.internalview.core/.classpath
===================================================================
--- tmp/org.txm.internalview.core/.classpath	(revision 2396)
+++ tmp/org.txm.internalview.core/.classpath	(revision 2397)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.connlu.core/.classpath
===================================================================
--- tmp/org.txm.connlu.core/.classpath	(revision 2396)
+++ tmp/org.txm.connlu.core/.classpath	(revision 2397)
@@ -1,13 +1,17 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry exported="true" kind="con" path="GROOVY_SUPPORT"/>
-	  <classpathentry exported="true" kind="con" path="GROOVY_DSL_SUPPORT"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry exported="true" kind="con"
+		path="GROOVY_SUPPORT" />
+	<classpathentry exported="true" kind="con"
+		path="GROOVY_DSL_SUPPORT" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.internalview.rcp/.classpath
===================================================================
--- tmp/org.txm.internalview.rcp/.classpath	(revision 2396)
+++ tmp/org.txm.internalview.rcp/.classpath	(revision 2397)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 2396)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 2397)
@@ -51,57 +51,60 @@
  *
  */
 public class InternalViewEditor extends TXMEditor<InternalView> {
-
+	
 	public static final String ID = InternalViewEditor.class.getName();
 	
 	protected CQPCorpus corpus;
+	
 	protected InternalView internalView;
 	
 	
 	protected TableViewer viewer;
+	
 	protected Table table;
 	
 	protected Label structInfos;
+	
 	protected Composite navigationPanel;
-
-
+	
+	
 	/**
 	 * For current page parameter synchronization.
 	 */
-	@Parameter(key=InternalViewPreferences.CURRENT_PAGE)
+	@Parameter(key = InternalViewPreferences.CURRENT_PAGE)
 	protected NewNavigationWidget navigation;
 	
 	/**
 	 * Structural unit to explore.
 	 */
-	@Parameter(key=InternalViewPreferences.STRUCTURAL_UNIT)
-	protected StructuralUnitsComboViewer structuralUnitsComboViewer; 
-
+	@Parameter(key = InternalViewPreferences.STRUCTURAL_UNIT)
+	protected StructuralUnitsComboViewer structuralUnitsComboViewer;
+	
 	/**
 	 * Word properties to display.
 	 */
-	@Parameter(key=InternalViewPreferences.UNIT_PROPERTIES)
+	@Parameter(key = InternalViewPreferences.UNIT_PROPERTIES)
 	protected PropertiesSelector<WordProperty> propertiesSelector;
 	
 	/**
 	 * Structural units to display.
 	 */
-	@Parameter(key=InternalViewPreferences.STRUCTURAL_UNIT_PROPERTIES)
+	@Parameter(key = InternalViewPreferences.STRUCTURAL_UNIT_PROPERTIES)
 	protected PropertiesSelector<StructuralUnitProperty> structuralUnitPropertiesSelector;
-
 	
+	
 	@Override
 	public void _createPartControl() {
-
+		
 		internalView = this.getResult();
-
+		
 		// Computing listener
 		ComputeSelectionListener computeSelectionListener = new ComputeSelectionListener(this, true);
 		ComputeKeyListener computeKeyListener = new ComputeKeyListener(this);
 		
 		
 		Composite parametersArea = getExtendedParametersGroup();
-		parametersArea.setLayout(new GridLayout(5,false));
+		parametersArea.setLayout(new GridLayout(5, false));
 		parametersArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		
 		Composite resultPanel = getResultArea();
@@ -113,6 +116,7 @@
 		this.structuralUnitsComboViewer = new StructuralUnitsComboViewer(parametersArea, this, true);
 		// Listener
 		this.structuralUnitsComboViewer.addSelectionChangedListener(new ISelectionChangedListener() {
+			
 			@Override
 			public void selectionChanged(SelectionChangedEvent event) {
 				structuralUnitPropertiesSelector.setProperties(structuralUnitsComboViewer.getSelectedStructuralUnit().getUserDefinedOrderedProperties());
@@ -141,30 +145,30 @@
 		structuralUnitPropertiesSelector.addSelectionListener(computeSelectionListener);
 		
 		
-		navigationPanel = getBottomToolbar().installGLComposite(InternalViewUIMessages.navigation, 4 , false);
+		navigationPanel = getBottomToolbar().installGLComposite(InternalViewUIMessages.navigation, 4, false);
 		navigationPanel.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
-
 		
+		
 		// Navigation widget
 		navigation = new NewNavigationWidget(navigationPanel);
 		navigation.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, true));
 		navigation.addGoToKeyListener(computeKeyListener);
-
 		
+		
 		// Listeners
 		navigation.addFirstListener(computeSelectionListener);
 		navigation.addPreviousListener(computeSelectionListener);
 		navigation.addNextListener(computeSelectionListener);
 		navigation.addLastListener(computeSelectionListener);
-
 		
+		
 		structInfos = new Label(navigationPanel, SWT.NONE);
 		structInfos.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, true));
 		structInfos.setText(""); //$NON-NLS-1$
-
-		//		Button style = new Button(navigationPanel, SWT.RADIO);
-		//		style.setText("table");
-
+		
+		// Button style = new Button(navigationPanel, SWT.RADIO);
+		// style.setText("table");
+		
 		viewer = new TableViewer(resultPanel);
 		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
 		viewer.getTable().setLinesVisible(true);
@@ -172,28 +176,28 @@
 		table = viewer.getTable();
 		table.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
 		viewer.setContentProvider(new IStructuredContentProvider() {
-
+			
 			@Override
-			public void inputChanged(Viewer viewer, Object oldInput, Object newInput) { }
-
+			public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {}
+			
 			@Override
-			public void dispose() { }
-
+			public void dispose() {}
+			
 			@Override
 			public Object[] getElements(Object inputElement) {
 				int nlines = internalView.getSegmentLength();
 				List<WordProperty> props = internalView.getProperties();
-
+				
 				ArrayList<Object[]> lines = new ArrayList<Object[]>();
-				for (int i = 0 ; i < nlines ; i++) {
+				for (int i = 0; i < nlines; i++) {
 					lines.add(new String[props.size()]);
 				}
-				if (inputElement instanceof HashMap<?,?>) {
+				if (inputElement instanceof HashMap<?, ?>) {
 					HashMap<Property, List<String>> l = (HashMap<Property, List<String>>) inputElement;
-					for (int i = 0 ; i < props.size() ; i++) {
+					for (int i = 0; i < props.size(); i++) {
 						Property prop = props.get(i);
 						List<String> data = l.get(prop);
-						for (int j = 0 ; j < nlines ; j++) {
+						for (int j = 0; j < nlines; j++) {
 							lines.get(j)[i] = data.get(j);
 						}
 					}
@@ -211,85 +215,91 @@
 	protected boolean goToPage(int page) throws CqiClientException {
 		internalView.setCurrentPage(page);
 		fillResultArea(); // one segment at time
-
+		
 		if (page == 0) {
 			navigation.setFirstEnabled(false);
 			navigation.setPreviousEnabled(false);
-		} else {
+		}
+		else {
 			navigation.setFirstEnabled(true);
 			navigation.setFirstEnabled(true);
 		}
-
-		if (page == internalView.getSegmentsCount() -1) {
+		
+		if (page == internalView.getSegmentsCount() - 1) {
 			navigation.setNextEnabled(false);
 			navigation.setLastEnabled(false);
-		} else {
+		}
+		else {
 			navigation.setNextEnabled(true);
 			navigation.setLastEnabled(true);
 		}
 		return true;
 	}
-
 	
+	
 	HashMap<Property, TableViewerColumn> columns = new HashMap<Property, TableViewerColumn>();
+	
 	HashMap<TableViewerColumn, Integer> columnsOrder = new HashMap<TableViewerColumn, Integer>();
+	
 	private void initColumns() {
-
-		for( TableViewerColumn col : columns.values()) {
+		
+		for (TableViewerColumn col : columns.values()) {
 			col.getColumn().dispose();
 		}
 		columnsOrder = new HashMap<TableViewerColumn, Integer>();
 		columns = new HashMap<Property, TableViewerColumn>();
-
+		
 		if (internalView == null) {
-			//System.out.println("REMOVE NON USED COLUMNS");
-		} else {
+			// System.out.println("REMOVE NON USED COLUMNS");
+		}
+		else {
 			int c = 0;
-
+			
 			for (final Property prop : internalView.getProperties()) {
 				if (!columns.containsKey(prop)) {
 					final TableViewerColumn col = new TableViewerColumn(viewer, SWT.NONE);
 					col.getColumn().setWidth(100);
 					col.getColumn().setText(prop.getName());
 					col.setLabelProvider(new ColumnLabelProvider() {
+						
 						@Override
 						public String getText(Object element) {
 							if (element instanceof Object[]) {
 								Integer idx = columnsOrder.get(col);
-								return ""+((Object[])element)[idx]; //$NON-NLS-1$
+								return "" + ((Object[]) element)[idx]; //$NON-NLS-1$
 							}
 							return TXMCoreMessages.errorColonP0;
 						}
 					});
 					columns.put(prop, col);
-
+					
 				}
 				TableViewerColumn col = columns.get(prop);
 				columnsOrder.put(col, c++);
 			}
 		}
 	}
-
-
+	
+	
 	public String createQuery() {
 		TableColumn[] cols = viewer.getTable().getColumns();
 		TableItem[] items = viewer.getTable().getItems();
 		int[] indexes = viewer.getTable().getSelectionIndices();
-		if (indexes.length == 0 ) {
+		if (indexes.length == 0) {
 			return ""; //$NON-NLS-1$
 		}
-
+		
 		StringBuffer query = new StringBuffer("["); //$NON-NLS-1$
-		for (int icol = 0 ; icol < cols.length ; icol++) {
+		for (int icol = 0; icol < cols.length; icol++) {
 			TableColumn col = cols[icol];
 			if (icol > 0) {
-				query.append(" & " +col.getText()+"=\""); //$NON-NLS-1$ //$NON-NLS-2$
+				query.append(" & " + col.getText() + "=\""); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			else {
-				query.append(col.getText()+"=\""); //$NON-NLS-1$
+				query.append(col.getText() + "=\""); //$NON-NLS-1$
 			}
 			HashSet<String> values = new HashSet<String>();
-			for (int i = 0 ; i < indexes.length ; i++) {
+			for (int i = 0; i < indexes.length; i++) {
 				int idx = indexes[i];
 				values.add(CQLQuery.addBackSlash(items[idx].getText(icol)));
 			}
@@ -298,9 +308,10 @@
 				if (firstValue) {
 					query.append(value);
 					firstValue = false;
-				} else {
-					query.append("|"+value); //$NON-NLS-1$
 				}
+				else {
+					query.append("|" + value); //$NON-NLS-1$
+				}
 			}
 			query.append("\""); //$NON-NLS-1$
 		}
@@ -308,11 +319,11 @@
 		System.out.println(NLS.bind(InternalViewUIMessages.queryColonP0, query));
 		return query.toString();
 	}
-
+	
 	public boolean backToText(Match m) {
-//		Match m = line.getMatch();
+		// Match m = line.getMatch();
 		internalView.getCurrentPage();
-		int[] cpos= {m.getStart()};
+		int[] cpos = { m.getStart() };
 		int[] n;
 		try {
 			StructuralUnitProperty sup = null;
@@ -322,16 +333,17 @@
 			}
 			n = CQPSearchEngine.getCqiClient().cpos2Struc(sup.getQualifiedName(), cpos);
 			return goToPage(n[0]);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			System.out.println(NLS.bind(InternalViewUIMessages.errorWhileInternalViewGoBackToP0, m));
 			Log.printStackTrace(e);
-		} 
+		}
 		return false;
 	}
-
-
-
-
+	
+	
+	
+	
 	@Override
 	public void updateResultFromEditor() {
 		// nothing to do
@@ -348,9 +360,9 @@
 		
 		navigation.setInfoLineText(" / " + this.getResult().getSegmentsCount()); //$NON-NLS-1$
 		navigation.refresh();
-		navigationPanel.layout();		
+		navigationPanel.layout();
 	}
-
+	
 	@Override
 	public void updateEditorFromResult(boolean update) {
 		try {
@@ -360,4 +372,4 @@
 			e.printStackTrace();
 		}
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/BackToInternalView.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/BackToInternalView.java	(revision 2396)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/BackToInternalView.java	(revision 2397)
@@ -21,23 +21,24 @@
 import org.txm.utils.logger.Log;
 
 public class BackToInternalView {
-
+	
 	public void doit(TXMEditor<? extends TXMResult> sourceEditor, CQPCorpus corpus, Match match, List<WordProperty> props) {
 		// Last resort edition
 		try {
 			InternalView iview = new InternalView(corpus);
-			iview.setParameters(props, 
+			iview.setParameters(props,
 					corpus.getStructuralUnit(TBXPreferences.DEFAULT_STRUCTURAL_UNIT),
 					new ArrayList<StructuralUnitProperty>(), null);
-
+			
 			TXMResultEditorInput<InternalView> editorInput = new TXMResultEditorInput<InternalView>(iview);
-
+			
 			IWorkbenchPage page = TXMWindows.getActiveWindow().getActivePage();
-
-			InternalViewEditor editor = (InternalViewEditor)page.openEditor(editorInput,InternalViewEditor.class.getName()); //$NON-NLS-1$
+			
+			InternalViewEditor editor = (InternalViewEditor) page.openEditor(editorInput, InternalViewEditor.class.getName()); // $NON-NLS-1$
 			editor.backToText(match);
 			SWTEditorsUtils.addEditor(sourceEditor, editor, EModelService.ABOVE);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			System.err.println(InternalViewUIMessages.bind(InternalViewUIMessages.error_backto_internalview, e));
 			Log.printStackTrace(e);
 		}
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/adapters/InternalViewAdapterFactory.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/adapters/InternalViewAdapterFactory.java	(revision 2396)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/adapters/InternalViewAdapterFactory.java	(revision 2397)
@@ -15,14 +15,14 @@
 public class InternalViewAdapterFactory extends TXMResultAdapterFactory {
 	
 	
-	public static final ImageDescriptor ICON =
-			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(InternalViewAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(InternalViewAdapterFactory.class).getSymbolicName() + "/icons/application_form_magnify.png"); //$NON-NLS-1$ //$NON-NLS-2$
+	public static final ImageDescriptor ICON = AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(InternalViewAdapterFactory.class).getSymbolicName(),
+			"platform:/plugin/" + FrameworkUtil.getBundle(InternalViewAdapterFactory.class).getSymbolicName() + "/icons/application_form_magnify.png"); //$NON-NLS-1$ //$NON-NLS-2$
 	
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(this.canAdapt(adapterType) && adaptableObject instanceof InternalView)	{
+		if (this.canAdapt(adapterType) && adaptableObject instanceof InternalView) {
 			return new TXMResultAdapter() {
+				
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
 					return ICON;
Index: tmp/org.txm.concordance.rcp/.classpath
===================================================================
--- tmp/org.txm.concordance.rcp/.classpath	(revision 2396)
+++ tmp/org.txm.concordance.rcp/.classpath	(revision 2397)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.cooccurrence.rcp/.classpath
===================================================================
--- tmp/org.txm.cooccurrence.rcp/.classpath	(revision 2396)
+++ tmp/org.txm.cooccurrence.rcp/.classpath	(revision 2397)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
